<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<style>
    .contenedor {
        width: 80vw;
        height: 70vh;
        background-color: #2196F3;
        padding: 10px;
        display: grid;
        grid-template-rows: repeat (3, 1fr);
        grid-template-columns: repeat (6, 1fr);
        grid-template-areas:
            "header header header header header header"
            "menu main main main right right"
            "menu footer footer footer footer footer";
        gap: 10px;
    }

    .contenedor div {
        background-color: rgba(255, 255, 255, 0.8);
        font-size: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .titulo {
        grid-area: header;
    }

    .menu {
        grid-area: menu;
    }

    .main {
        grid-area: main;
    }

    .derecha {
        grid-area: right;
    }

    .pie {
        grid-area: footer;
    }

    @media all and (max-width:600px) {
        .contenedor {
            grid-template-rows: repeat (4, 1fr);
            grid-template-columns: repeat (3, 1fr);
            grid-template-areas:
                "header header header"
                "main main menu"
                "right right menu"
                "footer footer menu";
        }
    }
</style>

<body>

    <div class="contenedor">
        <div class="titulo">Header</div>
        <div class="menu">Menu</div>
        <div class="main">Main</div>
        <div class="derecha">Right</div>
        <div class="pie">Footer</div>
    </div>
</body>

</html>